::$Id: simsys_doc.bat,v 1.2 2014/02/18 06:13:58 marcum Exp $
@ECHO OFF
:: batch file root directory
CALL :PARENT_PATH "%~dp0" PARENT_ROOT
:: SimSys system root directory
CALL :PARENT_PATH "%PARENT_ROOT%" PARENT_ROOT
:: open SimSys main documentation page
START FILE:\\%PARENT_ROOT%\doc\system\index.html
GOTO :EOF

:PARENT_PATH
:: use temp variable to hold the path, so we can substring
SET PARENT_PATH=%~dp1
:: strip the trailing slash, so we can call it again to get its parent
SET %2=%PARENT_PATH:~0,-1%
GOTO :EOF
